cURL
curl --request GET \
--url https://api.samora.ai/v1/external/campaigns/{agent_id}/{campaign_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.samora.ai/v1/external/campaigns/{agent_id}/{campaign_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.samora.ai/v1/external/campaigns/{agent_id}/{campaign_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"campaign": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_name": "<string>",
"retry_config": {
"max_retries": 2,
"retry_delay_minutes": 30,
"retry_on": [
"UNANSWERED",
"REJECTED",
"VOICEMAIL"
]
},
"call_stats": {
"total": 123,
"finished": 123,
"pending": 123,
"unanswered": 123,
"failed": 123,
"total_duration": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"stats": {
"total": 123,
"finished": 123,
"pending": 123,
"unanswered": 123,
"failed": 123,
"total_duration": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}API reference
Get campaign
Retrieves campaign details and aggregate call statistics.
GET
/
v1
/
external
/
campaigns
/
{agent_id}
/
{campaign_id}
cURL
Authorizations
Your unique organization API key. Required on all requests.
Path Parameters
The UUID of the AI agent that owns the campaign.
The UUID of the campaign.
⌘I